uk.gov.hmrc.test.unigration.behaviours

# MockSessionCache

###
Related Doc: package behaviours

#### class MockSessionCache extends SessionCache

Linear Supertypes
SessionCache, HttpCaching, CachingVerbs, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MockSessionCache
2. SessionCache
3. HttpCaching
4. CachingVerbs
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MockSessionCache()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def baseUri: String

   Definition Classes
     MockSessionCache → HttpCaching

6. #### def buildUri(source: String, id: String): String

   Attributes
     protected
   Definition Classes
     HttpCaching

7. #### def cache[A](source: String, cacheId: String, formId: String, body: A)(implicit wts: Writes[A], hc: HeaderCarrier, executionContext: ExecutionContext): Future[CacheMap]

   Definition Classes
     MockSessionCache → HttpCaching

8. #### def cache[A](formId: String, body: A)(implicit wts: Writes[A], hc: HeaderCarrier, executionContext: ExecutionContext): Future[CacheMap]

   Definition Classes
     SessionCache

9. #### val cache: Map[String, CacheMap]

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def defaultSource: String

    Definition Classes
      MockSessionCache → HttpCaching

12. #### def delete(uri: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[HttpResponse]

    Definition Classes
      CachingVerbs

13. #### def domain: String

    Definition Classes
      MockSessionCache → HttpCaching

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def fetch(source: String, cacheId: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[Option[CacheMap]]

    Definition Classes
      MockSessionCache → HttpCaching

17. #### def fetch()(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[Option[CacheMap]]

    Definition Classes
      SessionCache

18. #### def fetchAndGetEntry[T](key: String)(implicit hc: HeaderCarrier, rds: Reads[T], executionContext: ExecutionContext): Future[Option[T]]

    Definition Classes
      SessionCache

19. #### def fetchAndGetEntry[T](source: String, cacheId: String, key: String)(implicit hc: HeaderCarrier, rds: Reads[T], executionContext: ExecutionContext): Future[Option[T]]

    Definition Classes
      HttpCaching

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def get(uri: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[CacheMap]

    Definition Classes
      CachingVerbs

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def http: CoreGet with CorePut with CoreDelete

    Definition Classes
      MockSessionCache → CachingVerbs

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def put[T](uri: String, body: T)(implicit hc: HeaderCarrier, wts: Writes[T], executionContext: ExecutionContext): Future[CacheMap]

    Definition Classes
      CachingVerbs

30. #### def remove()(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[HttpResponse]

    Definition Classes
      MockSessionCache → SessionCache

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SessionCache

### Inherited from HttpCaching

### Inherited from CachingVerbs

### Inherited from AnyRef

### Inherited from Any

### Ungrouped